export default {
  path: "region",
  component: () => import("@/views/regionSection/index.vue"),
  name: "region",
  meta: {
    keepAlive: true,
    isAuth: true,
    title: "区域管控"
  },
  redirect: {
    path: "/region/home"
  },
  children: [
    {
      path: "home",
      component: () => import("@/views/regionSection/home/index.vue"),
      name: "home",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-首页"
      }
    },
    {
      path: "regionManage",
      component: () =>
        import("@/views/regionSection/regionManage/regionManage.vue"),
      name: "regionManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-区域管理"
      }
    },
    {
      path: "schoolManage",
      component: () =>
        import("@/views/regionSection/regionManage/schoolManage.vue"),
      name: "schoolManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-学校管理"
      }
    },
    {
      path: "adminManage",
      component: () =>
        import("@/views/regionSection/regionManage/adminManage.vue"),
      name: "adminManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-管理员"
      }
    },
    {
      path: "applicationGroup",
      component: () =>
        import("@/views/regionSection/applicationManage/applicationGroup.vue"),
      name: "applicationGroup",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-应用分组"
      }
    },
    {
      path: "applicationManage",
      component: () =>
        import("@/views/regionSection/applicationManage/applicationManage.vue"),
      name: "applicationManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-应用管理"
      }
    },
    {
      path: "whitelistLibrary",
      component: () =>
        import("@/views/regionSection/networkManage/whitelistLibrary.vue"),
      name: "whitelistLibrary",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-白名单库"
      }
    },
    {
      path: "whitelist",
      component: () =>
        import("@/views/regionSection/networkManage/whitelist.vue"),
      name: "whitelist",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-白名单"
      }
    },
    {
      path: "settingWallpaper",
      component: () => import("@/views/regionSection/setting/wallpaper.vue"),
      name: "wallpaper",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-壁纸"
      }
    },
    {
      path: "settingLogo",
      component: () => import("@/views/regionSection/setting/logo.vue"),
      name: "logo",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-LOGO"
      }
    },
    {
      path: "settingDevice",
      component: () => import("@/views/regionSection/setting/device.vue"),
      name: "setting_device",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-设备设置"
      }
    },
    {
      path: "settingPowerUp",
      component: () => import("@/views/regionSection/setting/powerUp.vue"),
      name: "powerUp",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-开机设置"
      }
    },
    {
      path: "searchAllUsers",
      component: () => import("@/views/regionSection/search/allUsers.vue"),
      name: "searchAllUsers",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-搜索所有用户"
      }
    },
    {
      path: "searchDeviceUsers",
      component: () => import("@/views/regionSection/search/deviceUsers.vue"),
      name: "searchDeviceUsers",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-搜索设备用户"
      }
    },
    {
      path: "searchDevice",
      component: () => import("@/views/regionSection/search/device.vue"),
      name: "searchDevice",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-搜索设备"
      }
    },
    {
      path: "searchAllApps",
      component: () => import("@/views/regionSection/search/allApps.vue"),
      name: "searchAllApps",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-搜索所有应用"
      }
    },
    {
      path: "searchAllWhitelists",
      component: () => import("@/views/regionSection/search/allWhitelists.vue"),
      name: "searchAllWhitelists",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-搜索所有应用"
      }
    },
    {
      path: "notice",
      component: () => import("@/views/regionSection/notice/index.vue"),
      name: "notice",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-公告"
      }
    }
  ]
};
